﻿/*iframe 2 col video y lista*/

.contenedor {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    max-width: 1000px;
    margin: 0 auto;
  }

  .columna-izquierda,
  .columna-derecha {
    flex: 1 1 100%;
  }

  .columna-izquierda iframe {
    width: 100%;
    height: 315px;
    border: none;
  }

  .columna-derecha p {
    display: block;
    background-color: #f0f0f0;
    padding: 10px;
    border-radius: 6px;
    text-decoration: none;
    color: #000;
    margin-bottom: 10px;
    transition: background-color 0.3s;
  }

  .columna-derecha a:hover {
    background-color: #e0e0e0;
  }

  /* Diseño para pantallas grandes */
  @media (min-width: 768px) {
    .columna-izquierda {
      flex: 2;
    }
    .columna-derecha {
      flex: 1;}
    }

/* Imagenes Responsive */

    .msps-img-responsive {
      width: 100%;
      height: auto;
      display: block; /* Elimina el espacio inferior si está en línea con texto */
    }

/* Botón de Descargas */

.boton-descarga {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            background-color: #76b6a0;
            color: white !important; 
            font-size: 18px;
            font-weight: bold;
            padding: 12px 24px;
            border-radius: 8px;
            border: 3px solid #b5dbd2;
            text-decoration: none;
            box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2);
            position: relative;
            cursor: pointer;
        }
        .boton-descarga:hover {
            background-color: #5f9e88;
        }

/* Estilos de Columnas */

/* Estilo para cotenedores */
.msps-5-col-container {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 12px;
    padding: 0px;
}

.msps-4-col-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 12px;
    padding: 0px;
}

.msps-3-col-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 12px;
    padding: 0px;
    margin-bottom: 32px;
}

.msps-2-col-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 12px;
    padding: 0px;
}

.msps-2-col-container.msps-media {
  align-items: stretch; /* iguala alturas de ambas columnas */
  min-height: 100px; /* altura base para permitir centrado vertical */

}

.msps-media .msps-media-left img,
.msps-media .msps-img-responsive {
  width: 100%;
  height: auto;     /* evita distorsión */
  display: block;   /* elimina espacios en línea */
}

.msps-media .msps-media-right {
  display: flex;
  align-items: center;   /* centro vertical */
  justify-content: center; /* centro horizontal (opcional) */
  padding: 20px;
  text-align: center;    /* útil si hay varios renglones */
}

/* Estilo para Recuadros Columnas */

.msps-col-item {
    padding: 20px;
    border-radius: 16px;
    border: 0.063rem solid #e1efed !important;
    background-color: #f8fbfa !important;
    text-align: center;
}

/* Estilo para 4 columnas */


.msps-4-col-item {
    padding: 20px;
    margin: 20px;
    border-radius: 16px;
    border: 0.063rem solid #e1efed;
    background-color: #f8fbfa;
    text-align: center;
}

.msps-4-col-item-blank {
    padding: 20px;
    margin: 20px;
    align-items: center;
}

/* Estilo para 3 columnas */

.msps-3-col-item {
    padding: 20px;
    margin: 20px;
    border-radius: 16px;
    border: 0.063rem solid #e1efed;
    background-color: #f8fbfa;
    text-align: center;
}

.msps-3-col-item-blank {
    padding: 20px;
    margin: 20px;
    align-items: center;

}

/* Estilo para 2 columnas */


.msps-2-col-item {
	display:flex;
    margin: 20px;
    border-radius: 16px;
    border: 0.063rem solid #e1efed;
    background-color: #f8fbfa;
	align-items: center;
}

.msps-2-col-item-blank {
    padding: 20px;
    margin: 20px;
    align-items: center;
}

.msps-2-col-item-blank-images {
  margin: 0 !important;
  padding: 0 !important;
}



/* Responsividad */
@media (max-width: 1318px) {
    .msps-4-col-container {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 1000px) {
    .msps-3-col-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 800px) {
    .msps-4-col-container, .msps-2-col-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 600px) {
    .msps-4-col-container, .msps-3-col-container, .msps-2-col-container {
        grid-template-columns: 1fr;
    }
}

/*nav bar para Compra centralizada*/

 .feli-navbar {
            display: flex;
            background-color: #6ec0b8;
            padding: 10px;
            border-radius: 5px;
        }
        .feli-nav-item {
            flex: 1;
            text-align: center;
            padding: 15px;
            cursor: pointer;
            font-size: 16px;
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 10px;
            border-radius: 5px;
            color: white;
        }
        .feli-nav-item.active {
            background-color: #37a69b;
            color: white;
            font-weight: bold;
            position: relative;
        }
        .feli-nav-item.active::after {
            content: "";
            position: absolute;
            bottom: -10px;
            left: 50%;
            transform: translateX(-50%);
            width: 0;
            height: 0;
            border-left: 10px solid transparent;
            border-right: 10px solid transparent;
            border-top: 10px solid #37a69b;
        }
        .feli-nav-item img {
            width: 24px;
            height: 24px;
        }
        
        .feli-nav-item a {
    color: white; /* Mantiene el texto blanco */
    text-decoration: none; /* Quita el subrayado del enlace */
    display: inline-block; /* Permite que el enlace se comporte como un bloque si es necesario */
}


/* Videos YouTube responsive */
.video-container {
  width: 100%;
  aspect-ratio: 16 / 9;
}

.video-container iframe {
  width: 100%;
  height: 100%;
  border: 0;
}

/* Texto Destacado*/
.text-dest {
color: #32b4a8; 
font-size: 16px;
font-weight: 700; /* Equivalente a 'strong' */
font-family: 'Nunito Sans', sans-serif;

}